DRS232_LDPC(1)

NAME
drs232_ldpc - Horus SSTV reception using the codec2 library.

SYNOPSIS
drs232_ldpc usage: InputOneBitPerChar OutputPacket [-v[v]]

DESCRIPTION

Looks for a unique word in series of soft decision symbols. When found, deframes a RS232 encoded frame of soft decision bit, LDPC decodes, and outputs a frame of packed bytes. Used for high bit rate Horus SSTV reception.

  Frame format:

    16 bytes 0x55 - 0xabcdef01 UW - 256 bytes of payload - 2 bytes CRC - 65 bytes LPDC Parity

  Each byte is encoded as a 10 bit RS232 serial word:

    0 LSB .... MSB 1

OPTIONS
The first argument, InputOneSymbolPerFloat is the file name of a file with Horus encoded bits. If "-" is given the input is taken from stdin.

The second argument, OutputPackets is the file name of a file to be created with modem sample data. If "-" is given the output is sent to stdout.

The optional third argument, [-v] [-vv] set the verbosity of the output.

SEE ALSO
drs232(1), fdmdv_mod(1), fdmdv_demod(1), fdmdv_get_test_bits(1), fdmdv_put_test_bits(1)